package com.storlead.mail.connection;

import javax.mail.Folder;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Store;

public interface MailConnection {

    void connect() throws MessagingException;

    void close();

    Store getStore();

    Folder getFolder(String folderName);

    Message getMessageByUid(String uid,String folderName);

    String getMessageUid(Message message);
}
